Skip to main content
GET
List vendors

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to fetch vendors for.

Query Parameters

include_archived
boolean
default:false

Whether to include archived vendors in the response.

external_id
string

The external ID of the vendor to fetch.

external_id_contains
string

A case-insensitive substring used to filter vendors whose external ID contains the specified value.

name
string

The name of the vendors to fetch.

name_contains
string

A case-insensitive substring used to filter vendors whose name contains the specified value.

reference_number
string

Filter by exact reference number match. Returns only records with this exact reference number.

reference_numbers
string

Comma-separated list of reference numbers to filter vendors by. Only vendors with reference numbers matching any value in this list will be returned.

Response

200 - application/json

Success.

data
object[]
required
meta
object

Request metadata. Present on paginated list responses.